%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear;
constants;

%USER_LENGTH = 1;
%CLUSTERING_SIZE_MAX = CLUSTERING_SIZE_MIN;
%TOPIC_SIZE_MAX = TOPIC_SIZE_MIN;

cluster_range = (CLUSTERING_SIZE_MAX-CLUSTERING_SIZE_MIN)/CLUSTERING_SIZE_INT + 1;
topic_range = (TOPIC_SIZE_MAX-TOPIC_SIZE_MIN)/TOPIC_SIZE_INT + 1;

average_perplexities = zeros(cluster_range, topic_range);

for u=1:USER_LENGTH
	disp(strcat('user', int2str(u)));

	build_user_folder;
	perplexities_data = load(strcat(user_lda_results_folder, 'perplexities.txt'));				
	average_perplexities = average_perplexities + perplexities_data;
end

average_perplexities = average_perplexities / USER_LENGTH;
