%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%%  SVM classification
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear;
constants;

USER_LENGTH = 1;
c = 40;
t = 15;
d = 20;

%% concat all the events data
for u=1:USER_LENGTH
	build_user_folder;

	file_path = strcat(user_lda_data_folder, 'c', int2str(c), 't', int2str(t), 'd', int2str(d), '_combine.txt');
	topic_data = load(file_path);

	composition = zeros(length(unique_labels), t);  %% composition(i, j) = percentage of event j on topic i

	cur = 1;
	for e=1:length(labels)	
		nDoc = floor(sizes(e) / d);
		% composition(compressed_labels(e),:) = composition(compressed_labels(e),:) + (topic_data(e, :) / total_appeared(labels(e)) );

		for i=1:nDoc
			composition(compressed_labels(e),:) = composition(compressed_labels(e),:) + (topic_data(cur, :) * d );
			cur = cur + 1;
		end
	end
	composition = composition';
	composition = diag(1./sum(composition,2)) * composition;
end
