%%
training_labels = [];
for i=1:length(training_eids)
	training_labels = [training_labels; labels(training_eids(i))];
end
testing_labels = [];
for i=1:length(testing_eids)
	testing_labels = [testing_labels; labels(testing_eids(i))];
end

predicted_label = [];
for e=1:length(testing_labels)
	idx = knnsearch(training_data, testing_data(e, :), 'K', 1);
	eIdx = training_labels(idx);
	predicted_label = [predicted_label; mode(eIdx)];
end		
prediction_output = [predicted_label testing_labels];

prediction_output_perevent = [];
for e=1:length(labels)
	if is_testing_event(e)
		event_prediction_output = prediction_output(testing_eids == e, :);
		pe = mode(event_prediction_output(:,1));
		te = mode(event_prediction_output(:,2));
		prediction_output_perevent = [prediction_output_perevent; pe te];
	end
end

