%%
clear;
constants;

classifier = 'svm';

accuracy_window = [];
accuracy_event = [];
accuracy_window_sum = 0;
accuracy_event_sum = 0;
window_length_sum = 0;
event_length_sum = 0;
for u=1:USER_LENGTH	
	build_user_folder;
	perwindow_file_path = strcat(user_classification_results_folder, classifier, '_perwindow.txt');
	perevent_file_path = strcat(user_classification_results_folder, classifier, '_perevent.txt');
	perwindow = load(perwindow_file_path);
	perevent = load(perevent_file_path);
	accuracy_window = [accuracy_window; sum(perwindow(:,1) == perwindow(:,2))/ length(perwindow)];
	accuracy_event = [accuracy_event; sum(perevent(:,1) == perevent(:,2))/ length(perevent)];

	window_length_sum = window_length_sum + length(perwindow);
	event_length_sum = event_length_sum + length(perevent);
	accuracy_window_sum = accuracy_window_sum + sum(perwindow(:,1) == perwindow(:,2));
	accuracy_event_sum = accuracy_event_sum + sum(perevent(:,1) == perevent(:,2));
end

accuracy_average_window = accuracy_window_sum / window_length_sum;
accuracy_average_event = accuracy_event_sum / event_length_sum;


build_all_folder;
perwindow_file_path = strcat(all_classification_results_folder, classifier, '_perwindow.txt');
perevent_file_path = strcat(all_classification_results_folder, classifier, '_perevent.txt');
perwindow = load(perwindow_file_path);
perevent = load(perevent_file_path);

all_accuracy_window = sum(perwindow(:,1) == perwindow(:,2))/ length(perwindow);
all_accuracy_event = sum(perevent(:,1) == perevent(:,2))/ length(perevent);
