%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear;
constants;
build_all_folder;

training_data = load(strcat(all_reduced_fft_data_folder, 'training_data.txt'));
training_eids = load(strcat(all_reduced_fft_data_folder, 'training_eid.txt'));
testing_data = load(strcat(all_reduced_fft_data_folder, 'testing_data.txt'));
testing_eids = load(strcat(all_reduced_fft_data_folder, 'testing_eid.txt'));

do_classify_nn_fft;

perwindow_file_path = strcat(all_classification_results_folder, 'nn_perwindow.txt');
perevent_file_path = strcat(all_classification_results_folder, 'nn_perevent.txt');

save(perwindow_file_path, 'prediction_output','-ASCII', '-tabs');
save(perevent_file_path, 'prediction_output_perevent','-ASCII', '-tabs');
