%%
training_labels = [];
for i=1:length(training_eids)
	training_labels = [training_labels; labels(training_eids(i))];
end
testing_labels = [];
for i=1:length(testing_eids)
	testing_labels = [testing_labels; labels(testing_eids(i))];
end


cd(LIBSVM_DIR)
model = svmtrain(training_labels, training_data, '-t 1'); %% polynomial kernel
[predicted_label, accuracy, decision_values] = svmpredict(zeros(size(testing_data,1),1), testing_data, model);
cd(LIBSVM_DIR_BACK)	
prediction_output = [predicted_label testing_labels];

prediction_output_perevent = [];
for e=1:length(labels)
	if is_testing_event(e)
		event_prediction_output = prediction_output(testing_eids == e, :);
		pe = mode(event_prediction_output(:,1));
		te = mode(event_prediction_output(:,2));
		prediction_output_perevent = [prediction_output_perevent; pe te];
	end
end
